ApiConfigureForKerberosArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiConfigureForKerberosArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiConfigureForKerberosArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiConfigureForKerberosArguments
      extends Object

  Arguments used to configure a cluster for Kerberos.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiConfigureForKerberosArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiConfigureForKerberosArguments` | `datanodeTransceiverPort(BigDecimal datanodeTransceiverPort)`
    `ApiConfigureForKerberosArguments` | `datanodeWebPort(BigDecimal datanodeWebPort)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getDatanodeTransceiverPort()` The HDFS DataNode transceiver port to use.
    `BigDecimal` | `getDatanodeWebPort()` The HDFS DataNode web port to use.
    `int` | `hashCode()`
    `void` | `setDatanodeTransceiverPort(BigDecimal datanodeTransceiverPort)`
    `void` | `setDatanodeWebPort(BigDecimal datanodeWebPort)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiConfigureForKerberosArguments

          public ApiConfigureForKerberosArguments()

  - ### Method Detail

    - #### datanodeTransceiverPort

          public ApiConfigureForKerberosArguments datanodeTransceiverPort(BigDecimal datanodeTransceiverPort)

    - #### getDatanodeTransceiverPort

          public BigDecimal getDatanodeTransceiverPort()

      The HDFS DataNode transceiver port to use. This will be applied to all DataNode role configuration groups. If not specified, this will default to 1004.
      Returns:
        datanodeTransceiverPort

    - #### setDatanodeTransceiverPort

          public void setDatanodeTransceiverPort(BigDecimal datanodeTransceiverPort)

    - #### datanodeWebPort

          public ApiConfigureForKerberosArguments datanodeWebPort(BigDecimal datanodeWebPort)

    - #### getDatanodeWebPort

          public BigDecimal getDatanodeWebPort()

      The HDFS DataNode web port to use. This will be applied to all DataNode role configuration groups. If not specified, this will default to 1006.
      Returns:
        datanodeWebPort

    - #### setDatanodeWebPort

          public void setDatanodeWebPort(BigDecimal datanodeWebPort)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.